<?
function ImprimeScript($Formulario,$Cadena,$Accion)
{
echo '<Script languaje="javascript">';
echo 'function Valida(){';
$Vector=explode('|',$Cadena);
$Or=' ';
echo 'if (';
for ($x=0;$x<sizeof($Vector);$x++){
   echo $Or.'(document.'.$Formulario.'.'.$Vector[$x].'.value=="")';
   $Or=' || ';
}
echo '){alert("No ha llenado los campos");}else{';


echo $Formulario.'.Accion.value="'.$Accion.'";';
echo $Formulario.'.submit();';
echo '}}</script>';
}

function FAccesoDenegado($RutaPath)
{  echo'<div align="center"> <p>&nbsp;</p>
      <p><strong>No tiene permitido el acceso a este Módulo del Sistema</strong></p>
    </div>
';
exit();
}

function FEtiqueta($Etiqueta,$Opcion)
{ $Asterisco["*"]='<span class="Asterisco"> * </span>';
  echo $Asterisco[$Opcion];
  echo'<span class="Etiqueta">'.$Etiqueta.'</span>';

}


function FMensajeScript($Mensaje,$Direccion)
{  echo '<SCRIPT language="JavaScript" type="text/javascript">
           alert ("'.$Mensaje.'") ;';
   if ($Direccion) echo'document.location="'.$Direccion.'";';
 echo'</SCRIPT>';
}

/***************************************************************************************
             Descripción : Imprime el encabezado de las paginas del Sistema.
      Parámetros entrada : $RutaPath = Ruta para accesar a los directorios.
*****************************************************************************************/
function FEncabezado($RutaPath)
{
  echo'
  <html>
  <head>
    <title>Sistema DIF Quintana Roo| Dirección de Informática</title>
    <link rel="stylesheet" href="'.$RutaPath.'Scripts/Estilos.css">
    <SCRIPT language=JavaScript  src="'.$RutaPath.'Scripts/Validaciones.js"></SCRIPT>
  </head>
  <body topmargin="0" leftmargin="0">


  <table width="100%" border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td>
        <div align="center"><img src="'.$RutaPath.'Imagenes/BannerS.png" width="930" height="100"></div>
      </td>
    </tr>
</table>     ';
}

function FTitulo($Titulo,$Alineacion)
{ echo'<div align="center"><DIV class=Header>'.$Titulo.'</DIV></div>';
}

function FSubtitulo($Titulo,$Alineacion)
{ echo'<div align="center"><DIV class=Subheader>'.$Titulo.'</DIV></div>';
}

function FPiePagina($RutaPath)
{echo'';

}

function FActualizacion($Tabla,$Clave,$Link)
{
  $CControl="SELECT * FROM ControlUsuarios WHERE Tabla='$Tabla' AND Clave='$Clave' ORDER BY IdControl DESC";
  $ResultControl=mysqli_query($Link,$CControl);
  $RowControl=mysqli_fetch_array($ResultControl);

  if ($RowControl)
  {  $CUsuario="SELECT * FROM Usuarios WHERE IdUsuario=$RowControl[IdUsuario]";
     $ResultUsuario=mysqli_query($Link,$CUsuario);
     $RowUsuario=mysqli_fetch_array($ResultUsuario);
     echo '<font size=1 color="#FF0000"><i>ACTUALIZADO EL '.$RowControl[Fecha].' A LAS '.$RowControl[Hora].' HRS. POR EL USUARIO '.$RowUsuario[Nombre].' ('.$RowUsuario[Usuario].') DESDE LA IP '.$RowControl[IP].'</i></font>';
  }
}




?>